package intrinsic.mx.rpc.xml;

public interface IXMLDecoder {

	/** Accessors */
//	public boolean recordXSIType;
//	public boolean makeObjectsBindable;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public Object decode(Object arg0);
public Object decode(Object arg0, intrinsic.QName arg1);
public Object decode(Object arg0, intrinsic.QName arg1, intrinsic.QName arg2);
public Object decode(Object arg0, intrinsic.QName arg1, intrinsic.QName arg2, intrinsic.XML arg3);
public void reset();

}
